Syndai Docs

Disable a webhook endpoint

DELETE
/api/v1/external/coding/webhooks/{endpoint_id}

Disable an endpoint so it receives no further deliveries. Its delivery history is kept. Requires the coding:webhooks:write scope.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

endpoint_id*string
Formatuuid

Query Parameters

customer_id?|null

Response Body

Request fulfilled, document follows

application/json
  1. response
endpoint*
Example Request
curl -X DELETE 'https://api.syndai.ai/api/v1/external/coding/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "endpoint": {    "created_at": "2019-08-24T14:15:22Z",    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",    "event_types": [      "string"    ],    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "last_secret_rotated_at": "2019-08-24T14:15:22Z",    "name": "string",    "status": "active",    "target_url": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}